/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ABOUT_H_INCLUDED
#define ABOUT_H_INCLUDED

#include "qdialog.h"
#include "ui_about.h"

/**
 * Okno s informacemi o programu. Zobrazuje splash-screen a odkazy na autora.
 * @author Martin Plicka
 */
class AboutBox: public QDialog, Ui::AboutDialog {

      Q_OBJECT

   public:
      /**
       * Konstruktor
       * @param parent rodicovsky widget
       */
      AboutBox (QWidget * parent = 0);
   public:

      /**
       * Poskytne instanci widgetu
       * @return ukazatel na instanci okna
       */
      static AboutBox * getInstance();
   private:

      /**
       * Ukazatel na instanci widgetu, nebo NULL
       */
      static AboutBox * _instance;
};

#endif // ABOUT_H_INCLUDED
