/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "format.h"
#include <qfile.h>
#include <qtextstream.h>

namespace Format{
QString styly =
   ".Identifikator {font-weight:bold; color: black;}"
   ".IdentifikatorFce {font-weight:bold; color: black;}"
   ".IdentifikatorPlatny {color: #00cc00;}"
   ".IdentifikatorParametr {font-weight:bold; color:purple;}"
   ".Definice {font-weight:bold; color: black;}"
   ".DefiniceFce {font-weight:bold; color: black;}"
   ".DefinicePlatna {color: #00cc00;}"
   ".DefiniceParametr {font-weight:bold; color:purple;}"
   ".Cislo {color: red;}"
   ".Retez {color: blue;}"
   ".Plus {color: brown; font-weight: bold;}"
   ".Minus {color: brown; font-weight: bold;}"
   ".Krat {color: brown; font-weight: bold;}"
   ".Deleno {color: brown; font-weight: bold;}"
   ".Mocnina {color: brown; font-weight: bold;}"
   ".And {color: brown; font-weight: bold;}"
   ".Or {color: brown; font-weight: bold;}"
   ".Not {color: brown; font-weight: bold;}"
   ".Vetsi {color: brown; font-weight: bold;}"
   ".Mensi {color: brown; font-weight: bold;}"
   ".VetsiRovno {color: brown; font-weight: bold;}"
   ".MensiRovno {color: brown; font-weight: bold;}"
   ".Rovno {color: brown; font-weight: bold;}"
   ".Nerovno {color: brown; font-weight: bold;}"
   ".Zavorka{font-weight:bold; color: black;}"
   ".ZavorkaFce{font-weight:bold; color: black;}"
   ".ZavorkaDefinice{font-weight:bold; color: black;}"
   ".ZavorkaIf{font-weight:bold; color: black;}"
   ".Prirazeni{color: blue; font-weight: bold;}"
   ".Read {font-weight:bold; color: black;}"
   ".Write {font-weight:bold; color: black;}"
   ".If {font-weight:bold; color: black; color: purple;}"
   ".Komentar {color: green;}"
   ".NerozpoznanyPrikaz {}"
   ".Vystup {color: purple;}"
   ".Chyba {color:red;}";

void nacti(const QString & soubor){
   QFile data(soubor);
   if (data.open(QFile::ReadOnly)) {
      QTextStream in(&data);
      styly = in.readAll();
      data.close();
   }
}


}
