/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <QMainWindow>
#include "ui_Hlavniokno.h"

#include <QFileDialog>


#ifndef __HLAVNIOKNO_H
#define __HLAVNIOKNO_H

/**
 * Hlavni okno aplikace
 * @author Martin Plicka
 */
class HlavniOkno: public QMainWindow, public Ui::HlavniOkno
{

      Q_OBJECT

      /**
       * ukazatel na prvni volne pole kulove fronty prikazu
       */
      int aktualni;

      /**
       * aktualni kurzor na vybrane pole z historie prikazu
       */
      int kurzor;

      /**
       * Pole historie prikazu
       */
      QString prikazy[10];

      /**
       * Udalost na zavreni okna
       */
      void closeEvent ( QCloseEvent * event );

   public:

      /**
       * Konstruktor
       */
      HlavniOkno(QWidget *parent = 0);
   public slots:

      /**
       * Odesle napsany prikaz
       */
      void odeslat ();

      /**
       * zobrazi informace o programu
       */
      void oProgramu();

      /**
       * nacte prikazy ze souboru
       */
      void nacist();

      /**
       * Obnovi log
       */
      void obnovitLog();

      /**
       * Sipka nahoru - hledani v historii
       */
      void nahoru();

      /**
       * Sipka dolu - hledani v historii
       */
      void dolu();
};

#endif
