/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PARAMETRY_FCE_H_INCLUDED
#define PARAMETRY_FCE_H_INCLUDED

#include <vector>

/**
 * Uchovava pozicni parametry funkci volanych pri vypoctu.
 * @brief Parametry funkce volane pri vypoctu.
 * @author Martin Plicka
 */
class ParametryFce{

      /**
       * pole s ciselnymy hodnoty predavanych parametru
       */
      std::vector<double> data;

   public:

      /**
       * Prida dalsi parametr (na konec)
       * @param cislo hodnota parametru
       */
      void pridej(double cislo);

      /**
       * Accessor pro prvek pole
       * @param idx index prvku
       * @return hodnota prvku
       */
      double operator[](int idx);
};



#endif // PARAMETRY_FCE_H_INCLUDED
