/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <qstring.h>

#include "mnozina_definic.h"
#include "definice.h"
#include "log.h"
#include "rekurze.h"

#ifndef PREKLADAC_H_INCLUDED
#define PREKLADAC_H_INCLUDED

/**
 * Prekladac a interpreter
 * Obsahuje kompletni kod prekladace ze vstupu v podobe lexikalnich elementu do vnitrni formy
 * @author Martin Plicka
 */
namespace Prekladac{
/**
 * Objekt logu
 */
extern Log log;

/**
 * Mnozina definic
 */
extern MnozinaDefinic definice;

/**
 * Citac vnoreni kvuli detekci rekurze.
 * Mozno experimentovat s vychozi hodnotou.
 * Ta je restriktivne omezena kvuli kapacite zasobniku ve Windows
 */
extern CitacVnoreni vnoreni;

/**
 * Prelozi dany string do vnitrni formy
 * @param str vstupni retezec
 */
void preloz(const QString & str);

/**
 * Provede reset celeho prekladace/interpretru
 */
void reset();

} //namespace Prekladac


#endif // PREKLADAC_H_INCLUDED
