/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "prompt.h"
#include "vyjimka.h"

#include "hlavniokno.h"

extern HlavniOkno * hOkno;

Prompt::Prompt(QWidget * parent): QDialog(parent){
   setupUi(this);
   connect(pushButton, SIGNAL(clicked()), this, SLOT(accept()));

}


void Prompt::accept(){
   bool tmp;
   hodnota = lineEdit->text().toDouble(&tmp);
   if (!tmp) {
      labelChyba->setVisible(true);
      lineEdit->selectAll();
      lineEdit->setFocus();
      return;
   }
   QDialog::accept();
}


double Prompt::cti(const QString & vyzva){

   // obnovit log, aby byl videt program
   hOkno->obnovitLog();

   label->setText(vyzva);
   lineEdit->setText("");
   labelChyba->setVisible(false);
   lineEdit->setFocus();
   if (!exec()) throw VyjimkaText("Vstup stornován");
   return hodnota;
}
