/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PROMPT_H_INCLUDED
#define PROMPT_H_INCLUDED

#include "ui_Prompt.h"

/**
 * Okno uzivatelskeho vstupu
 * @author Martin Plicka
 */
class Prompt: public QDialog, public Ui::PromptTemplate{

      Q_OBJECT

      /**
       * Prectena hodnota
       */
      double hodnota;

   public slots:

      /**
       * Potvrzeni vstupu
       */
      void accept();

   public:

      Prompt(QWidget * parent = 0);

      /**
       * Zobrazi okno pro vstup a obslouzi vstup
       * @param vyzva Text, ktery se zobrazi v okne vstupu
       * @return vlozena hodnota
       */
      double cti(const QString & vyzva);
};

#endif // PROMPT_H_INCLUDED
