/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef REKURZE_H_INCLUDED
#define REKURZE_H_INCLUDED

/**
 * Citac poctu vnoreni vypoctu.
 * Pouziva se pro detekci rekurze v podminenych zavislostech,
 * tedy tech, ktere jsou pres If.
 * @author Martin Plicka
 */
class CitacVnoreni{

      /**
       * Aktualni hodnota citace
       */
      int cislo;

      /**
       * Maximalni hodnota citace
       */
      int max;

   public:

      /**
       * Konstruktor
       * @param max maximalni pocet vnoreni
       */
      CitacVnoreni(int max);

      /**
       * Inkrementace, postfixova
       * @throw VyjimkaText v pripade prekroceni maximalniho poctu vnoreni
       */
      int operator++(int);

      /**
       * Dekrementace postfixova.
       */
      int operator--(int);

      /**
       * Nastavi hodnotu citace na nulu.
       */
      void reset();
};

#endif // REKURZE_H_INCLUDED
