/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef STRTOOLS_H_INCLUDED
#define STRTOOLS_H_INCLUDED

#include <qstring.h>

/**
 * \file
 * Funkce pro praci s retezci
 */

/**
 * Prevede cislo na string
 * @param x prevadena hodnota
 * @param prec presnost na pocet desetinnych mist
 * @return retezec s vysledkem
 */
inline QString Stringify(double x, int prec=6){
   return QString::number(x,'g',prec);
};

#endif // STRTOOLS_H_INCLUDED
