/*
 *   MiniMath, mathematic operations interpreter.
 *   Copyright 2006,2007,2008 Martin Plicka
 *
 *   This file is part of MiniMath.
 *
 *   MiniMath is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *   MiniMath is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with MiniMath.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "log.h"

#ifndef SYNAN_H_INCLUDED
#define SYNAN_H_INCLUDED

/*

funkce if je klicovym slovem If, ma pevnou strukturu, ma jinou semantiku nez normalni fce
funkce write a read byly stanoveny klicovymi slovy, protoze
jako jedine pouzivaji jinde nevyskytujici se retezcove konstanty

         PRIKAZ ::= Identifikator [ '(' [ Idenifikator { ',' Identifikator } ] ')' ] '=' VYRAZ
                    | Write '(' WRITEPARAM { ',' WRITEPARAM } ')'
                    | Reset
                    | Def
                    | Epsilon
      WRITEPARAM::= Retez | VYRAZ
          VYRAZ ::= RELACNI { ( '&' | '|' ) RELACNI }
        RELACNI ::=  ARITM1 [ ( '>' | '<' | '>=' | '<=' | '==' | '!=' ) ARITM1 ]
         ARITM1 ::=  ARITM2 { ( '+' | '-' ) ARITM2 }
         ARITM2 ::= MOCNINA  { ( '*' | '/' ) MOCNINA  }
        MOCNINA ::= PRVEK [ '^' PRVEK ]
          PRVEK ::= [ '-' | '!' ] PRVEK2
         PRVEK2 ::= Cislo | IDENT | IF | READ | '(' VYRAZ ')'
             IF ::= If '(' VYRAZ ',' VYRAZ ',' , VYRAZ ')'
           READ ::= Read '(' Retez ')'
          IDENT ::= Identifikator [ '(' [ VYRAZ { ',' VYRAZ } ] ')' ]
          // pri prekladu je pouzito semanticke pravidlo,
          // ze pokud je vyraz v seznamu lokalnich parametru fce, nebo prave definovanou funkci
          // nemuze mit parametry
*/


/**
 * Syntakticky analyzator.
 * Provadi preklad vstupu ve forme jednotlivych lexikalnich elementu do vnitrni formy.
 * @author Martin Plicka
 */
namespace SynAn {

/**
 * Nejvyssi neterminal pro expanzi. Ocekava cely radek odpovidajici nekteremu typu prikazu
 * @return ukazatel na vrchol prelozeneho stromu
 */
LogRadek * Prikaz ();


};

#endif // SYNAN_H_INCLUDED
